Summary: Tools for configuring the console.
Name: console-tools
%define CTVER	0.3.3
%define	CDVER	1999.08.29
%define DATA console-data-%{CDVER}
Version: 0.0.19990829
Release: 23tr
Group: Trustix Official
Exclusiveos: Linux
License: GPL
URL: http://www.altern.org/ydirson/en/lct/
Source0: ftp://ftp.ibiblio.org/pub/Linux/system/keyboards/console-tools-%{CTVER}.tar.gz
Source1: ftp://ftp.ibiblio.org/pub/Linux/system/keyboards/%{DATA}.tar.gz
Source2: keytable.init
Source3: ftp://ftp.dementia.org/pub/linux/sparc/pc2sun.pl
Source4: console-tools-1998.08.11.add-ons-nosk.tar.gz
Source5: console-tools-0.3.3.sunfonts.tar.gz
Source6: kbd-1.03wip-turkish.tar.gz
Source7: kbd-ro.map.gz
Source8: kbd-sr.map.gz
Source9: ucw-fonts-1.1.1.tar.gz
Source10: kbd-0.96-latin0.tar.gz
Source11: kbd-0.96-amiga.tar.gz
Source12: sunt4-no-latin1.map.gz
Source13: lat2u-font.tar.gz
Source14: data-addon.tar.gz
Source15: console-fonts-cyr.tgz

Patch0: console-tools-1998.08.11.resizecons.patch
Patch1: console-tools-0.3.3-showkeyopenvt.patch
Patch2: console-tools-0.3.3-findfile.patch
Patch3: console-tools-1999.08.29.sparc.patch
Patch4: console-tools-1998.08.11.kmaps.patch
Patch5: console-tools.fonts.patch
# Allow consolechars & loadkeys to run from the root partition
Patch6: console-tools-rootpart.patch
# Add /etc/sysconfig/console (without subdirs) to the search path
Patch7: console-tools-searchpath.patch
Patch8: console-tools.fonts2.patch
Patch9: console-tools.fonts3.patch
# Don't load a directory as a keymap. Duh.
Patch11: console-tools-resizecons.patch
# Euro support
Patch12: console-data-1999.08.29-redhat.patch.gz
# Fix acm handling. Duh.
Patch13: console-tools-0.3.3.acm.patch
# fix delete key behaviour on type4/5 keyboards on sun to match intel
Patch14: console-tools-fixdel.patch
Patch15: console-tools-unicyr.patch
# Fix psfgettable on BE
Patch16: console-tools-0.3.3.psfgettable.patch
# Fix setkeycodes parameter parsing
Patch17: http://mucus.com/console-tools/console-tools-2000.07.05.setkeycodes.patch
# Teach ACM reader to cope with glibc 2.2 /usr/share/i18n/charmaps format
Patch18: console-tools-readacm-glibc22.patch
Patch19: console-tools-19990829-jp106.patch
# GCC 3.3 does not like multiline literals
Patch20: console-tools-0.3.3-multiline.patch
Patch21: console-tools-loadkeyspath.patch
Patch22: console-tools-slovenian.kmap.patch
Patch23: console-tools-br-ant.kmap.patch

#BuildRequires: sgml-tools
BuildRequires: flex, libtool, automake, autoconf
Requires: /sbin/chkconfig sed /sbin/restart_maybe, coreutils
Obsoletes: kbd
Provides: kbd
BuildRoot: /var/tmp/%{name}-root

%description
The console-tools package contains tools for managing a Linux 
system's console's behavior, including the keyboard, the screen 
fonts, the virtual terminals and font files.

%prep
%setup -q -n console-tools-%{CTVER} -a 4 -a 6 -a 9 -a 10 -a 13 -a 14 -a 15
%patch1 -p1
mv -f data %{DATA}
mv -f consolefonts/* %{DATA}/consolefonts
mv -f console-fonts-cyr/consolefonts/* %{DATA}/consolefonts
mv -f console-fonts-cyr/consoletrans/* %{DATA}/consoletrans
tar xzf %{SOURCE1}
mv -f %{DATA} data
tar xzf %{SOURCE5}
mv -f data %{DATA}

cd %{DATA}
%patch5 -p1
#%patch8 -p1
#%patch9 -p1
%patch12 -p1
cd ..
%patch2 -p1
%patch6 -p1
%patch7 -p1
%patch11 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p2
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1

%build
%ifarch i386
DISABLE_RESIZECONS=
%else
DISABLE_RESIZECONS=--disable-resizecons
%endif

cd %{DATA}
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -static" LDFLAGS="-static" ./configure --prefix=/usr \
  --datadir='/lib/kbd' --enable-localdatadir=/etc/sysconfig/console \
  --mandir=$RPM_BUILD_ROOT%{_mandir} \
  $DISABLE_RESIZECONS
cd ..

CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -static" LDFLAGS="-static" ./configure --prefix=/usr \
  --datadir='/lib/kbd' --enable-localdatadir=/etc/sysconfig/console \
  --mandir=$RPM_BUILD_ROOT%{_mandir} \
  $DISABLE_RESIZECONS
cd %{DATA}
make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" LDFLAGS=-s prefix=/usr
cd ..
make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" LDFLAGS=-s prefix=/usr

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr

# Don't ship zero-length documentation
find doc %{DATA}/doc -size 0b | xargs rm -f

cd %{DATA}
make install prefix=$RPM_BUILD_ROOT datadir=$RPM_BUILD_ROOT/lib/kbd
cd ..
make install prefix=$RPM_BUILD_ROOT/usr

file $RPM_BUILD_ROOT/usr/bin/* | grep ELF | cut -f 1 -d ':' | xargs strip

# don't give loadkeys SUID perms
chmod 755 $RPM_BUILD_ROOT/usr/bin/loadkeys

# other keymaps
for map in ro sr ; do
   install -m 644 $RPM_SOURCE_DIR/kbd-$map.map.gz \
      $RPM_BUILD_ROOT/lib/kbd/keymaps/i386/qwerty/$map.kmap.gz
done

install -m 644 $RPM_SOURCE_DIR/sunt4-no-latin1.map.gz \
	$RPM_BUILD_ROOT/lib/kbd/keymaps/sun/sunt4-no-latin1.map.gz

install -d -m 755 $RPM_BUILD_ROOT/etc/init.d

install -m 755 $RPM_SOURCE_DIR/keytable.init $RPM_BUILD_ROOT/etc/init.d/keytable

mkdir -p $RPM_BUILD_ROOT/bin
for foo in loadkeys consolechars ; do
  mv $RPM_BUILD_ROOT/usr/bin/$foo $RPM_BUILD_ROOT/bin
done

rm -f $RPM_BUILD_ROOT%{_mandir}/man8/resizecons.8
strip --strip-unneeded -R .comments $RPM_BUILD_ROOT/usr/lib/*.so*

ln -sf lat0-sun16.psf.gz $RPM_BUILD_ROOT/lib/kbd/consolefonts/lat1-sun16.psf.gz
ln -sf lat0-sun16.psf.gz $RPM_BUILD_ROOT/lib/kbd/consolefonts/lat5-sun16.psf.gz
gzip -9 < %{DATA}/consolefonts/cyr-sun16.psf > $RPM_BUILD_ROOT/lib/kbd/consolefonts/cyr-sun16.psf.gz

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%post
/sbin/ldconfig
/sbin/chkconfig --add keytable
/sbin/chkconfig keytable on

if [ -f /etc/sysconfig/keyboard ] ; then
    . /etc/sysconfig/keyboard
    if [ -n "$KEYTABLE" ] ; then
        KT=`echo $KEYTABLE | sed -e "s/.*\///g" | sed -e "s/\..*//g"`
        echo "KEYTABLE=$KT" > /etc/sysconfig/keyboard
    fi
fi
if [ -f /etc/sysconfig/i18n ] ; then
   . /etc/sysconfig/i18n
   if [ -d /etc/sysconfig/console ] ; then
      if [ -n "$SYSFONT" ]; then
         cp -f /lib/kbd/consolefonts/$SYSFONT* /etc/sysconfig/console
      fi
      if [ -n "$UNIMAP" ]; then
         cp -f /lib/kbd/consoletrans/$UNIMAP* /etc/sysconfig/console
      fi
      if [ -n "$SYSFONTACM" ]; then 
         cp -f /lib/kbd/consoletrans/$SYSFONTACM* /etc/sysconfig/console
      fi
   fi
fi

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del keytable
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)

%doc README NEWS RELEASE BUGS TODO
%doc doc/[cdf]* %{DATA}/doc/[cdf]* %{DATA}/doc/keymaps
%doc doc/README* doc/*.txt
/usr/bin/font2psf
/usr/bin/splitfont
/usr/include/lct
/usr/lib
/usr/share/locale
%config /etc/init.d/keytable

#/usr/lib/lib*.so.0.0.0
/lib/kbd
/bin/consolechars
/bin/loadkeys
/usr/bin/charset
/usr/bin/chvt
/usr/bin/openvt
/usr/bin/codepage
/usr/bin/deallocvt
/usr/bin/dumpkeys
/usr/bin/fgconsole
/usr/bin/fix_bs_and_del
/usr/bin/getkeycodes
/usr/bin/kbd_mode
/usr/bin/loadunimap
/usr/bin/mk_modmap
/usr/bin/mapscrn
/usr/bin/psfaddtable
/usr/bin/psfgettable
/usr/bin/psfstriptable
/usr/bin/resizecons
/usr/bin/saveunimap
/usr/bin/screendump
/usr/bin/setfont
/usr/bin/setkeycodes
/usr/bin/setleds
/usr/bin/setmetamode
/usr/bin/setvesablank
/usr/bin/showcfont
/usr/bin/showkey
/usr/bin/unicode_start
/usr/bin/unicode_stop
/usr/bin/vcstime
/usr/bin/vt-is-UTF8
/usr/bin/writevt

%{_mandir}/man*/*

%changelog
* Wed May 25 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.0.19990829-22tr
- Fixed consolechars double free corruption. Fix Bug #509

* Wed Apr 21 2005 Hasher Jamaludeen <hasher at comodo dot com> 0.0.19990829-21tr
- Changed init priority.

* Tue Mar 15 2005 Hasher Jamaludeen <hasher at comodo dot com> 0.0.19990829-20tr
- Rebuild, included unpackaged files, added few library files.

* Fri Mar 11 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.0.19990829-19tr
- Added vtopen.c patch

* Fri Nov 12 2004 Erlend Midttun <erlendbm at trustix dot org> 0.0.19990829-18tr
- Fix br-ant.kmap

* Fri Dec 12 2003 Erlend Midttun <erlendbm at trustix dot org> 0.0.19990829-15tr
- Big rebuild

* Mon Jul  3 2003 Roland Kruse <rolandk at trustix dot com> 0.0.19990829-14tr
- Fixed Slovenian keymap.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.0.19990829-13tr
- Big rebuild

* Mon May 26 2003 Tore Olsen <toreo at trustix dot com> 0.0.19990829-12to
- Added buildreq on automake.
- Don't need to use system's libtool, removed Christian's patch.
- Don't include static libraries.
- Fixed init script.
- Moved /usr/lib/kbd to /lib, it may be used before /usr is mounted.
- Removed triggers.

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 0.0.19990829-11em
- fileutils -> coreutils.

* Fri May 23 2003 Chr. Toldnes <christht at trustix dot com> 0.0.19990829-10ct
- Use system libtool during build.

* Sat May 17 2003 Erlend Midttun <erlendbm at trustix dot com> 0.0.19990829-9em
- GCC 3.3 does not like multiline literals

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.0.19990829-8em
- Rebuilt against glibc 2.3.2.

* Wed Jan 22 2003 Tor Hveem <torh at trustix dot org> 0.0.19990829-7th
- Fixed $INITLOCK

* Mon Nov  4 2002 Erlend Midttun <erlendbm at trustix dot com> 0.0.19990829-6em
- Fixed init script.

* Mon Oct 21 2002 Goetz Bock <bock at trustix dot org> 0.0.19990829-5bg
- need flex to build it

* Thu Jul 18 2002 Rolandk Kruse <rolandk at trustix dot com> 0.0.19990829-4rk
- Initscripts /etc/rc.d -> /etc

* Thu Jan  3 2002 Christian H. Toldnes <christht at trustix dot com>
- Correct chkconfig line in startup script.

* Fri Mar 30 2001 Erlend Midttun <erlendbm at trustix dot com>
- Changed version number.
- Cleaned changelog.
